> For the complete documentation index, see [llms.txt](https://docs.lithnet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lithnet.io/password-protection/setup/setup-guide.md).

# Getting started

In this guide, we will look at how to set up Lithnet Password Protection for Active Directory (LPP) from scratch. We'll configure a basic password policy, and integrate the haveibeenpwned.com pwned password data set to prevent users from changing their password to one that is known to be compromised.

* [Setup requirements](/password-protection/setup/setup-requirements.md) - First, read the pre-requistes and requirements for installation, and learn about the options for setting up a test environment or a production environment.
* [Install the module](/password-protection/setup/installing-the-module.md) - You'll need to download and install the application on your writable domain controllers to enable password filtering. You can also install the application on other servers to allow you to use the PowerShell cmdlets and manage the password settings via group policy.
* [Create a new store](/password-protection/setup/create-a-new-store.md) - If you plan on using the compromised password functionality, then once the module is installed you'll need to create the database that contains the compromised passwords. Each domain controller will need access to this store, so this guide will assist you in determining the best way to achieve this.
* [Populate the store](/password-protection/setup/populate-the-store.md) - Use the PowerShell to import compromised passwords from data sets such as the haveibeenpwned.com pwned password list.
* [Configure the group policy](/password-protection/setup/configure-group-policy.md) - Configure the group policy to enable the password filter and customize your password policy settings
* [Test the password filter](/password-protection/setup/testing-the-password-filter.md) - Once filter has been installed and configured, you can start testing the password filter.
* [Audit existing passwords](/password-protection/auditing/audit-existing-passwords.md) - As an optional step, you can test the passwords of all existing users in your domain, to see if any of them are in the compromised password store. As these passwords have already been converted to a one-way hash in the Active Directory database, you cannot test other policies such as length and complexity against them.

## Troubleshooting

* [Read the troubleshooting guide](/password-protection/help-and-support/troubleshooting.md) for information on how to troubleshoot configuration errors.

{% hint style="info" %}
**Still need help?** Community support is available via [GitHub Issues](https://github.com/lithnet/ad-password-protection/issues). For production environments, [enterprise support agreements](https://lithnet.io/products/password-protection?utm_source=docs\&utm_medium=crosslink\&utm_campaign=lpp-ups) are also available.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lithnet.io/password-protection/setup/setup-guide.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
